Subject: linux-next: manual merge of the driver-core tree with the dma-mapping tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 1 Jun 2018 17:08:25 +1000

Hi Greg,

Today's linux-next merge of the driver-core tree got a conflict in:

  include/linux/device.h

between commit:

  3d6ce86ee794 ("drivers: remove force dma flag from buses")

from the dma-mapping tree and commit:

  8c97a46af04b ("driver core: hold dev's parent lock when needed")

from the driver-core tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc include/linux/device.h
index 00b6c3b42437,beca424395dd..000000000000
--- a/include/linux/device.h
+++ b/include/linux/device.h
@@@ -98,6 -96,10 +98,8 @@@ extern void bus_remove_file(struct bus_
   * @p:		The private data of the driver core, only the driver core can
   *		touch this.
   * @lock_key:	Lock class key for use by the lock validator
 - * @force_dma:	Assume devices on this bus should be set up by dma_configure()
 - * 		even if DMA capability is not explicitly described by firmware.
+  * @need_parent_lock:	When probing or removing a device on this bus, the
+  *			device core should lock the device's parent.
   *
   * A bus is a channel between the processor and one or more devices. For the
   * purposes of the device model, all devices are connected via a bus, even if
@@@ -138,6 -138,9 +140,8 @@@ struct bus_type 
  
  	struct subsys_private *p;
  	struct lock_class_key lock_key;
+ 
 -	bool force_dma;
+ 	bool need_parent_lock;
  };
  
  extern int __must_check bus_register(struct bus_type *bus);